# std::tr1::__detail::_Hashtable_const_iterator< _Value, __constant_iterators, __cache > Struct Template Reference

Inheritance diagram for std::tr1::__detail::_Hashtable_const_iterator< _Value, __constant_iterators, __cache >:

List of all members.

## Detailed Description

### template<typename _Value, bool __constant_iterators, bool __cache>
struct std::tr1::__detail::_Hashtable_const_iterator< _Value, __constant_iterators, __cache >

Definition at line 415 of file hashtable_policy.h.

## Public Types

- typedef std::ptrdiff_t difference_type
- typedef std::forward_iterator_tag iterator_category
- typedef const _Value * pointer
- typedef const _Value & reference
- typedef _Value value_type

## Public Member Functions

- _Hashtable_const_iterator (const _Hashtable_iterator< _Value, __constant_iterators, __cache > &__x)
- _Hashtable_const_iterator (_Hash_node< _Value, __cache > **__b)
- _Hashtable_const_iterator (_Hash_node< _Value, __cache > *__p, _Hash_node< _Value, __cache > **__b)
- _Hashtable_const_iterator ()
- void _M_incr ()
- void _M_incr_bucket ()
- reference operator * () const
- _Hashtable_const_iterator operator++ (int)
- _Hashtable_const_iterator & operator++ ()
- pointer operator-> () const

## Public Attributes

- _Hash_node< _Value, __cache > ** _M_cur_bucket
- _Hash_node< _Value, __cache > * _M_cur_node

The documentation for this struct was generated from the following file:

- hashtable_policy.h